Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::TaskGallery Class Reference

This task implements a gallery to review images and videos. More...

`#include <Gallery.h>`

Inheritance diagram for ArgusSamples::TaskGallery:

List of all members.

## Public Member Functions
| TaskGallery ()
virtual | ~TaskGallery ()
bool | togglePlayBack ()
| Toggle playback.
bool | rewind ()
| Rewind.
bool | prevItem ()
| Display next item.
bool | nextItem ()
| Display previous item.
ITask methods
virtual bool | initialize ()
| Initialize.
virtual bool | shutdown ()
| Shutdown.
virtual bool | start ()
| Start.
virtual bool | stop ()
| Stop.
Public Member Functions inherited from ArgusSamples::ITask
| ITask ()
virtual | ~ITask ()

## Private Attributes
bool | m_initialized
| set if initialized
bool | m_running
| set if running
GalleryThread * | m_thread
| gallery thread

## Detailed Description

This task implements a gallery to review images and videos.

Definition at line 43 of file Gallery.h.

## Constructor & Destructor Documentation

ArgusSamples::TaskGallery::TaskGallery | ( |  | ) |

Definition at line 916 of file Gallery.cpp.

ArgusSamples::TaskGallery::~TaskGallery | ( |  | ) |
| virtual

Definition at line 923 of file Gallery.cpp.

## Member Function Documentation

bool ArgusSamples::TaskGallery::initialize | ( |  | ) |
| virtual

Initialize.

Implements ArgusSamples::ITask.

Definition at line 928 of file Gallery.cpp.

bool ArgusSamples::TaskGallery::nextItem | ( |  | ) |

Display previous item.

Definition at line 1024 of file Gallery.cpp.

bool ArgusSamples::TaskGallery::prevItem | ( |  | ) |

Display next item.

Definition at line 1015 of file Gallery.cpp.

bool ArgusSamples::TaskGallery::rewind | ( |  | ) |

Rewind.

Definition at line 1006 of file Gallery.cpp.

bool ArgusSamples::TaskGallery::shutdown | ( |  | ) |
| virtual

Shutdown.

Implements ArgusSamples::ITask.

Definition at line 938 of file Gallery.cpp.

bool ArgusSamples::TaskGallery::start | ( |  | ) |
| virtual

Start.

Implements ArgusSamples::ITask.

Definition at line 951 of file Gallery.cpp.

bool ArgusSamples::TaskGallery::stop | ( |  | ) |
| virtual

Stop.

Implements ArgusSamples::ITask.

Definition at line 975 of file Gallery.cpp.

bool ArgusSamples::TaskGallery::togglePlayBack | ( |  | ) |

Toggle playback.

Definition at line 997 of file Gallery.cpp.

## Member Data Documentation

bool ArgusSamples::TaskGallery::m_initialized
| private

set if initialized

Definition at line 79 of file Gallery.h.

bool ArgusSamples::TaskGallery::m_running
| private

set if running

Definition at line 80 of file Gallery.h.

GalleryThread* ArgusSamples::TaskGallery::m_thread
| private

gallery thread

Definition at line 81 of file Gallery.h.

The documentation for this class was generated from the following files:

- modules/tasks/Gallery.h
- modules/tasks/Gallery.cpp